SDL_GPUTextureSupportsSampleCount(3)

NAME
SDL_GPUTextureSupportsSampleCount - Determines if a sample count for a texture format is supported.

SYNOPSIS
#include <SDL3/SDL_gpu.h>

bool SDL_GPUTextureSupportsSampleCount(
    SDL_GPUDevice *device,
    SDL_GPUTextureFormat format,
    SDL_GPUSampleCount sample_count);

FUNCTION PARAMETERS

device
    a GPU context.

format
    the texture format to check.

sample_count
    the sample count to check.

RETURN VALUE
Returns whether the sample count is supported for this texture format.

AVAILABILITY
This function is available since SDL 3.2.0.